Package org.eclipse.equinox.p2.core.spi

# Interface IAgentService

public interface IAgentService
Services created by `IAgentServiceFactory` objects can optionally implement this interface to participate in the agent lifecycle.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`void`
`start()`
This method is invoked when a service is added to an agent.
`void`
`stop()`
This method is invoked when a service is removed from an agent.

## Method Details

### start

void start()
This method is invoked when a service is added to an agent. This can occur either because a client looked up the service and it was lazily instantiated by the agent, or because the service was registered manually via `IProvisioningAgent.registerService(String, Object)`.

### stop

void stop()
This method is invoked when a service is removed from an agent. This can occur either because the agent was stopped, or because the service was manually unregistered via `IProvisioningAgent.unregisterService(String, Object)`.

Services must not attempt to obtain further services from their agent while stopping, as some required services may no longer be available.